Notifications
GET https://biotul.com/api/notification-handlers/
curl --request GET \
--url 'https://biotul.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biotul.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Opcional Cadeia | A string de pesquisa. |
| search_by | Opcional Cadeia | Champ dans lequel vous effectuez la recherche. Les valeurs autorisées sont : name. |
| is_enabled | Opcional Boolean | |
| type | Opcional Cadeia | Champ dans lequel vous effectuez la recherche. Les valeurs autorisées sont : email , webhook , slack , discord , telegram , microsoft_teams , twilio , internal_notification , push_subscriber_id. |
| order_by | Opcional Cadeia | Champ selon lequel trier les résultats. Les valeurs autorisées sont : notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Cadeia | Ordre des résultats. Les valeurs autorisées sont : ASC pour l’ordre croissant et DESC pour l’ordre décroissant. |
| search | Opcional Cadeia | A string de pesquisa. |
| search_by | Opcional Cadeia | Champ dans lequel vous effectuez la recherche. Les valeurs autorisées sont : name. |
| is_enabled | Opcional Boolean | |
| type | Opcional Cadeia | Champ dans lequel vous effectuez la recherche. Les valeurs autorisées sont : email , webhook , slack , discord , telegram , microsoft_teams , twilio , internal_notification , push_subscriber_id. |
| order_by | Opcional Cadeia | Champ selon lequel trier les résultats. Les valeurs autorisées sont : notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional Cadeia | Ordre des résultats. Les valeurs autorisées sont : ASC pour l’ordre croissant et DESC pour l’ordre décroissant. |
| page | Opcional Inteiro | O numéro de la page que souhaitez résultats. O défaut est 1. |
| results_per_page | Opcional Inteiro | Nombre de résultats souhaités par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. La valeur par défaut est 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-08 13:30:37",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biotul.com/api/notification-handlers?page=1",
"last": "https://biotul.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://biotul.com/api/notification-handlers?page=1"
}
}
GET https://biotul.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-08 13:30:37",
}
}
POST https://biotul.com/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Obligatoire Cadeia | - |
| type | Obligatoire Cadeia | Valeures permitidos: email , webhook , slack , discord , telegram , microsoft_teams , twilio , internal_notification , push_subscriber_id |
| Opcional Cadeia | Disponible quand: type = email E-mail | |
| webhook | Opcional Cadeia | Disponible quand: type = webhook URL du webhook |
| slack | Opcional Cadeia | Disponible quand: type = slack URL du webhook du Slack |
| discord | Opcional Cadeia | Disponible quand: type = discord URL du webhook du Discord |
| telegram | Opcional Cadeia | Disponible quand: type = telegram Token de la API du Telegram |
| telegram_chat_id | Opcional Cadeia | Disponible quand: type = telegram ID du Chat du Telegram |
| microsoft_teams | Opcional Cadeia | Disponible quand: type = microsoft_teams URL du webhook du Microsoft Teams |
| push_subscriber_id | Opcional Cadeia | Disponible quand: type = push_subscriber_id Inscrito push |
| twilio | Opcional Cadeia | Disponible quand: type = twilio Numéro de téléphone |
curl --request POST \
--url 'https://biotul.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://biotul.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://biotul.com/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Opcional Cadeia | - |
| type | Opcional Cadeia | Valeures permitidos: email , webhook , slack , discord , telegram , microsoft_teams , twilio , internal_notification , push_subscriber_id |
| Opcional Cadeia | Disponible quand: type = email E-mail | |
| webhook | Opcional Cadeia | Disponible quand: type = webhook URL du webhook |
| slack | Opcional Cadeia | Disponible quand: type = slack URL du webhook du Slack |
| discord | Opcional Cadeia | Disponible quand: type = discord URL du webhook du Discord |
| telegram | Opcional Cadeia | Disponible quand: type = telegram Token de la API du Telegram |
| telegram_chat_id | Opcional Cadeia | Disponible quand: type = telegram ID du Chat du Telegram |
| microsoft_teams | Opcional Cadeia | Disponible quand: type = microsoft_teams URL du webhook du Microsoft Teams |
| push_subscriber_id | Opcional Cadeia | Disponible quand: type = push_subscriber_id Inscrito push |
| twilio | Opcional Cadeia | Disponible quand: type = twilio Numéro de téléphone |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://biotul.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biotul.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \